BEGIN ~CUCHOIN~

IF ~True()
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 4
  IF ~~ THEN REPLY @3 GOTO 6
END

IF ~~ THEN BEGIN 1
  SAY @4
  IF ~~ THEN REPLY @5 DO ~SetGlobalTimer("CuChoin","GLOBAL",TEN_DAYS)
RevealAreaOnMap("ARC001")
JoinParty()
~ JOURNAL @6 EXIT
  IF ~~ THEN REPLY @7 GOTO 3
END

IF ~~ THEN BEGIN 2
  SAY @8
  IF ~~ THEN DO ~SetGlobal("CuChoinneachLeaves","GLOBAL",2)
ActionOverride("BUBBA",EscapeArea())
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @9
  IF ~~ THEN DO ~RevealAreaOnMap("ARC001")
SetGlobal("CuChoinneachLeaves","GLOBAL",2)
ActionOverride("BUBBA",EscapeArea())
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @10
  IF ~~ THEN REPLY @11 GOTO 5
END

IF ~~ THEN BEGIN 5
  SAY @12
  IF ~~ THEN REPLY @5 DO ~SetGlobalTimer("CuChoin","GLOBAL",TEN_DAYS)
RevealAreaOnMap("ARC001")
JoinParty()
~ JOURNAL @6 EXIT
  IF ~~ THEN REPLY @7 GOTO 3
END

IF ~~ THEN BEGIN 6
  SAY @10
  IF ~~ THEN REPLY @13 GOTO 2
  IF ~~ THEN REPLY @11 GOTO 5
END
